org.apache.lucene.util.bkd

## Class OfflinePointReader

- java.lang.Object
- - org.apache.lucene.util.bkd.OfflinePointReader

All Implemented Interfaces:
  Closeable, AutoCloseable, PointReader

    public final class OfflinePointReader
    extends Object
    implements PointReader

Reads points from disk in a fixed-with format, previously written with `OfflinePointWriter`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`OfflinePointReader(Directory tempDir, String tempFileName, int packedBytesLength, long start, long length, byte[] reusableBuffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `next()` Returns false once iteration is done, else true.
`PointValue` `pointValue()` Sets the packed value in the provided ByteRef

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OfflinePointReader

    public OfflinePointReader(Directory tempDir,
                              String tempFileName,
                              int packedBytesLength,
                              long start,
                              long length,
                              byte[] reusableBuffer)
                       throws IOException

Throws:
  `IOException`

### Method Detail

#### next

    public boolean next()
                 throws IOException

Description copied from interface: `PointReader`
Returns false once iteration is done, else true.

Specified by:
  `next` in interface `PointReader`
Throws:
  `IOException`

#### pointValue

    public PointValue pointValue()

Description copied from interface: `PointReader`
Sets the packed value in the provided ByteRef

Specified by:
  `pointValue` in interface `PointReader`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`